Package sop.operation

# Interface Armor

public interface Armor

## Method Summary

Modifier and Type
Method
Description
`default Ready`
`data(byte[] data)`
Armor the provided data.
`Ready`
`data(InputStream data)`
Armor the provided data.
`Armor`
`label(ArmorLabel label)`
Overrides automatic detection of label.

## Method Details

### label

Armor label(ArmorLabel label) throws SOPGPException.UnsupportedOption
Overrides automatic detection of label.

Parameters:
  `label` - armor label
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption`

### data

Ready data(InputStream data) throws SOPGPException.BadData, IOException
Armor the provided data.

Parameters:
  `data` - input stream of unarmored OpenPGP data
Returns:
  armored data
Throws:
  `SOPGPException.BadData` - if the data appears to be OpenPGP packets, but those are broken
  `IOException` - in case of an IO error

### data

default Ready data(byte[] data) throws SOPGPException.BadData, IOException
Armor the provided data.

Parameters:
  `data` - unarmored OpenPGP data
Returns:
  armored data
Throws:
  `SOPGPException.BadData` - if the data appears to be OpenPGP packets, but those are broken
  `IOException` - in case of an IO error